#295 Source | Export | HTML does not work either

v0.5.x
closed-duplicate
nobody
Editor (234)
5
2006-09-04
2006-09-03
mdykierek
No

Most probably related to: [ 1551442 ] Source | Format
does not seem to work.
Export invokes the target folder dialog but no further
action is taken afterwards.

Eclipse 3.2
EPIC 0.5.2
Windows 2K/XP Home
Sun Java 5 Update 8

Discussion

  • Udo Spallek

    Udo Spallek - 2006-09-04

    Logged In: YES
    user_id=1433673

    eclipse.buildId=M20060629-1905
    java.version=1.5.0_08
    java.vendor=Sun Microsystems Inc.
    BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=de_DE
    Command-line arguments: -os win32 -ws win32 -arch x86

    Error
    Mon Sep 04 15:01:38 CEST 2006
    Could not determine plug-in deployment jar; please report
    this as a bug in EPIC

    java.net.URISyntaxException: Illegal character in opaque
    part at index 7:
    file:E:\Programme\eclipse-SDK-3.2\plugins\org.epic.perleditor_0.4.4.jar
    at java.net.URI$Parser.fail(Unknown Source)
    at java.net.URI$Parser.checkChars(Unknown Source)
    at java.net.URI$Parser.parse(Unknown Source)
    at java.net.URI.<init>(Unknown Source)
    at
    org.epic.core.util.ResourceUtilities.getBundleJar(ResourceUtilities.java:124)
    at
    org.epic.core.util.ResourceUtilities.extractResources(ResourceUtilities.java:48)
    at
    org.epic.core.util.ScriptExecutor.extractScripts(ScriptExecutor.java:162)
    at
    org.epic.core.util.ScriptExecutor.getWorkingDir(ScriptExecutor.java:136)
    at
    org.epic.core.util.ScriptExecutor.run(ScriptExecutor.java:63)
    at
    org.epic.perleditor.editors.util.SourceFormatter.format(SourceFormatter.java:64)
    at
    org.epic.perleditor.actions.ExportHtmlSourceAction.doRun(ExportHtmlSourceAction.java:75)
    at
    org.epic.perleditor.actions.PerlEditorAction.run(PerlEditorAction.java:35)
    at
    org.eclipse.jface.action.Action.runWithEvent(Action.java:499)
    at
    org.eclipse.ui.actions.RetargetAction.runWithEvent(RetargetAction.java:229)
    at
    org.eclipse.ui.internal.WWinPluginAction.runWithEvent(WWinPluginAction.java:234)
    at
    org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:539)
    at
    org.eclipse.jface.action.ActionContributionItem.access$2(ActionContributionItem.java:488)
    at
    org.eclipse.jface.action.ActionContributionItem$5.handleEvent(ActionContributionItem.java:400)
    at
    org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:66)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:928)
    at
    org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3348)
    at
    org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2968)
    at
    org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
    at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
    at
    org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
    at
    org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
    at
    org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
    at
    org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
    Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at
    org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
    at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
    at org.eclipse.core.launcher.Main.run(Main.java:977)
    at org.eclipse.core.launcher.Main.main(Main.java:952)

     
  • Jan Ploski

    Jan Ploski - 2006-09-04
    • status: open --> closed
     
  • Jan Ploski

    Jan Ploski - 2006-09-04

    Logged In: YES
    user_id=86907

    Yes, a duplicate, fixed in testing 0.5.3.

     
  • Jan Ploski

    Jan Ploski - 2006-09-04
    • status: closed --> closed-duplicate
     
  • Udo Spallek

    Udo Spallek - 2006-09-04

    Logged In: YES
    user_id=1433673

    Hi jploski,

    sorry doesn't work on my system, too.

    Error
    Mon Sep 04 21:28:54 CEST 2006
    Could not determine plug-in deployment jar; please report
    this as a bug in EPIC

    java.lang.IllegalArgumentException: URI is not hierarchical
    at java.io.File.<init>(Unknown Source)
    at
    org.epic.core.util.ResourceUtilities.getBundleJar(ResourceUtilities.java:124)
    at
    org.epic.core.util.ResourceUtilities.extractResources(ResourceUtilities.java:48)
    at
    org.epic.core.util.ScriptExecutor.extractScripts(ScriptExecutor.java:161)
    at
    org.epic.core.util.ScriptExecutor.getWorkingDir(ScriptExecutor.java:135)
    at org.epic.core.util.ScriptExecutor.run(ScriptExecutor.java:63)
    at
    org.epic.perleditor.editors.util.SourceFormatter.format(SourceFormatter.java:64)
    at
    org.epic.perleditor.editors.util.SourceFormatter.format(SourceFormatter.java:47)
    at
    org.epic.perleditor.actions.FormatSourceAction.doRun(FormatSourceAction.java:88)
    at
    org.epic.perleditor.actions.PerlEditorAction.run(PerlEditorAction.java:35)
    at
    org.epic.perleditor.actions.DefaultRetargetEditorDelegate.run(DefaultRetargetEditorDelegate.java:36)
    at
    org.eclipse.ui.actions.ActionDelegate.runWithEvent(ActionDelegate.java:70)
    at
    org.eclipse.ui.internal.PluginAction.runWithEvent(PluginAction.java:244)
    at
    org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:539)
    at
    org.eclipse.jface.action.ActionContributionItem.access$2(ActionContributionItem.java:488)
    at
    org.eclipse.jface.action.ActionContributionItem$5.handleEvent(ActionContributionItem.java:400)
    at
    org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:66)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:928)
    at
    org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3348)
    at
    org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2968)
    at
    org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
    at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
    at
    org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
    at
    org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
    at
    org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
    at
    org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
    Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
    at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
    at org.eclipse.core.launcher.Main.run(Main.java:977)
    at org.eclipse.core.launcher.Main.main(Main.java:952)

     
  • Udo Spallek

    Udo Spallek - 2006-09-04

    Logged In: YES
    user_id=1433673

    sorry, last posting was wrong (source Formater), but export
    doesn't work too..
    Thanks!

    Error
    Mon Sep 04 21:31:22 CEST 2006
    Could not determine plug-in deployment jar; please report
    this as a bug in EPIC

    java.lang.IllegalArgumentException: URI is not hierarchical
    at java.io.File.<init>(Unknown Source)
    at
    org.epic.core.util.ResourceUtilities.getBundleJar(ResourceUtilities.java:124)
    at
    org.epic.core.util.ResourceUtilities.extractResources(ResourceUtilities.java:48)
    at
    org.epic.core.util.ScriptExecutor.extractScripts(ScriptExecutor.java:161)
    at
    org.epic.core.util.ScriptExecutor.getWorkingDir(ScriptExecutor.java:135)
    at
    org.epic.core.util.ScriptExecutor.run(ScriptExecutor.java:63)
    at
    org.epic.perleditor.editors.util.SourceFormatter.format(SourceFormatter.java:64)
    at
    org.epic.perleditor.actions.ExportHtmlSourceAction.doRun(ExportHtmlSourceAction.java:75)
    at
    org.epic.perleditor.actions.PerlEditorAction.run(PerlEditorAction.java:35)
    at
    org.eclipse.jface.action.Action.runWithEvent(Action.java:499)
    at
    org.eclipse.ui.actions.RetargetAction.runWithEvent(RetargetAction.java:229)
    at
    org.eclipse.ui.internal.WWinPluginAction.runWithEvent(WWinPluginAction.java:234)
    at
    org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:539)
    at
    org.eclipse.jface.action.ActionContributionItem.access$2(ActionContributionItem.java:488)
    at
    org.eclipse.jface.action.ActionContributionItem$5.handleEvent(ActionContributionItem.java:400)
    at
    org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:66)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:928)
    at
    org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3348)
    at
    org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2968)
    at
    org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
    at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
    at
    org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
    at
    org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
    at
    org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
    at
    org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
    Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at
    org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
    at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
    at org.eclipse.core.launcher.Main.run(Main.java:977)
    at org.eclipse.core.launcher.Main.main(Main.java:952)

     
  • Jan Ploski

    Jan Ploski - 2006-09-04

    Logged In: YES
    user_id=86907

    It looks as if you are still using 0.4.6 - the line numbers
    in the exception's stack trace are wrong for 0.4.7. Are you
    sure the upgrade went properly?

     
  • Udo Spallek

    Udo Spallek - 2006-09-04

    Logged In: YES
    user_id=1433673

    Sorry i read your mail too late... but it doesn't worrk...
    I put both stacktraces for Html Export and Sourceformater:

    Error
    Mon Sep 04 21:48:24 CEST 2006
    Could not determine plug-in deployment jar; please report
    this as a bug in EPIC

    java.lang.IllegalArgumentException: URI has an authority
    component
    at java.io.File.<init>(Unknown Source)
    at
    org.epic.core.util.ResourceUtilities.getBundleJar(ResourceUtilities.java:129)
    at
    org.epic.core.util.ResourceUtilities.extractResources(ResourceUtilities.java:48)
    at
    org.epic.core.util.ScriptExecutor.extractScripts(ScriptExecutor.java:162)
    at
    org.epic.core.util.ScriptExecutor.getWorkingDir(ScriptExecutor.java:136)
    at
    org.epic.core.util.ScriptExecutor.run(ScriptExecutor.java:63)
    at
    org.epic.perleditor.editors.util.SourceFormatter.format(SourceFormatter.java:64)
    at
    org.epic.perleditor.actions.ExportHtmlSourceAction.doRun(ExportHtmlSourceAction.java:75)
    at
    org.epic.perleditor.actions.PerlEditorAction.run(PerlEditorAction.java:35)
    at
    org.eclipse.jface.action.Action.runWithEvent(Action.java:499)
    at
    org.eclipse.ui.actions.RetargetAction.runWithEvent(RetargetAction.java:229)
    at
    org.eclipse.ui.internal.WWinPluginAction.runWithEvent(WWinPluginAction.java:234)
    at
    org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:539)
    at
    org.eclipse.jface.action.ActionContributionItem.access$2(ActionContributionItem.java:488)
    at
    org.eclipse.jface.action.ActionContributionItem$5.handleEvent(ActionContributionItem.java:400)
    at
    org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:66)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:928)
    at
    org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3348)
    at
    org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2968)
    at
    org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
    at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
    at
    org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
    at
    org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
    at
    org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
    at
    org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
    Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at
    org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
    at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
    at org.eclipse.core.launcher.Main.run(Main.java:977)
    at org.eclipse.core.launcher.Main.main(Main.java:952)

    ---------------------------------------

    Error
    Mon Sep 04 21:44:41 CEST 2006
    Could not determine plug-in deployment jar; please report
    this as a bug in EPIC

    java.lang.IllegalArgumentException: URI has an authority
    component
    at java.io.File.<init>(Unknown Source)
    at
    org.epic.core.util.ResourceUtilities.getBundleJar(ResourceUtilities.java:129)
    at
    org.epic.core.util.ResourceUtilities.extractResources(ResourceUtilities.java:48)
    at
    org.epic.core.util.ScriptExecutor.extractScripts(ScriptExecutor.java:162)
    at
    org.epic.core.util.ScriptExecutor.getWorkingDir(ScriptExecutor.java:136)
    at org.epic.core.util.ScriptExecutor.run(ScriptExecutor.java:63)
    at
    org.epic.perleditor.editors.util.SourceFormatter.format(SourceFormatter.java:64)
    at
    org.epic.perleditor.editors.util.SourceFormatter.format(SourceFormatter.java:47)
    at
    org.epic.perleditor.actions.FormatSourceAction.doRun(FormatSourceAction.java:88)
    at
    org.epic.perleditor.actions.PerlEditorAction.run(PerlEditorAction.java:35)
    at org.eclipse.jface.action.Action.runWithEvent(Action.java:499)
    at
    org.eclipse.ui.actions.RetargetAction.runWithEvent(RetargetAction.java:229)
    at
    org.eclipse.ui.internal.WWinPluginAction.runWithEvent(WWinPluginAction.java:234)
    at
    org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:539)
    at
    org.eclipse.jface.action.ActionContributionItem.access$2(ActionContributionItem.java:488)
    at
    org.eclipse.jface.action.ActionContributionItem$5.handleEvent(ActionContributionItem.java:400)
    at
    org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:66)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:928)
    at
    org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3348)
    at
    org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2968)
    at
    org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
    at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
    at
    org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
    at
    org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
    at
    org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
    at
    org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
    at
    org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
    Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
    at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
    at org.eclipse.core.launcher.Main.run(Main.java:977)
    at org.eclipse.core.launcher.Main.main(Main.java:952)

     
  • Udo Spallek

    Udo Spallek - 2006-09-04

    Logged In: YES
    user_id=1433673

    Stop, all Machines back... i have to install 0.4.7..

     
  • Udo Spallek

    Udo Spallek - 2006-09-04

    Logged In: YES
    user_id=1433673

    Sorry, i get a bit confusing...
    My Stacktrace from Date: 2006-09-04 21:44 is for Version 0.4.7
    Greetings Udo

    is there a possibility contact you a bit more directly...
    skype, email?

     
  • Jan Ploski

    Jan Ploski - 2006-09-04

    Logged In: YES
    user_id=86907

    To hell with URIs. Try 0.4.8.
    Email would work (it's always
    username@users.sourceforge.net), but lets keep the
    discussion here for the posterity.

     
  • Udo Spallek

    Udo Spallek - 2006-09-04

    Logged In: YES
    user_id=1433673

    You got it! It works!
    Both formater and Html Export are running.

    Thanks a lot

    Greetings Udo

     
  • mdykierek

    mdykierek - 2006-09-05

    Logged In: YES
    user_id=1589679

    Works for me at 0.5.4. Thanks.

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks